<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 
	require_once "../core/core_classes.php";
	require_once "../config.php";
	
	require_once '../assets/plugins/dompdf/autoload.inc.php';
	use Dompdf\Dompdf;

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {

		case 'servicio':
			
			$pNidServicio = filter_input(INPUT_POST, 'pNidServicio');
			$pHtml = filter_input(INPUT_POST, 'pHtml');
						
			$content = '<html><body style="font-size: 14px;">';
			$content .= $pHtml;
			$content .= '</body></html>';

			$dompdf = new Dompdf();
			$dompdf->loadHtml($content);
			$dompdf->setPaper('letter', 'portrait'); // (Opcional) Configurar papel y orientaciĂ³n
			$dompdf->render(); // Generar el PDF desde contenido HTML
			$pdf = $dompdf->output(); // Obtener el PDF generado
			//$dompdf->stream(); // Enviar el PDF generado al navegador
			
			$filePath = "servicios/".$pNidServicio .".pdf";

			file_put_contents($filePath, $pdf);

			$transaccion = '1';
			$mensaje = 'OK';
					
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;
		
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
